객체
WebhookEndpoint
필드
idinteger필수urlstring필수descriptionstring필수activeboolean필수paused_atstring (date-time) | nullpaused_reasonstring | nullfailures: 연속 10번의 전송 시도 실패,feature_disabled: 요금제에 웹훅이 포함되지 않음.disabled_reasonstring | nullgone: 수신 서버가 410으로 응답함,manual: 관리자가 비활성화함.허용 값:
gonemanualnulldisabled_atstring (date-time) | nulldata_profile_idinteger | null웹훅의 데이터 프로필(
null이면 같은 역할의 API 키처럼 프로필 없음).collection_idsarray of integer필수웹훅이 이벤트를 받는 컬렉션. 비어 있으면 역할과 데이터 프로필로 접근할 수 있는 모든 컬렉션이에요.
tagsarray of string필수이 태그 중 하나라도 있는 카드의 카드 이벤트만 받아요. 비어 있으면 필터가 없어요.
auth_typestring | null발신 인증의 유형(
null이면 없음).허용 값:
bearerbasicnullauth_setboolean필수발신 인증이 설정되었는지 여부(값은 반환되지 않아요).
previous_secret_valid_untilstring (date-time) | null이전 시크릿으로도 전송에 서명하는 기한(
null이면 유예 기간이 없어요).healthWebhookHealthconsecutive_failuresinteger필수last_delivery_atstring (date-time) | nulllast_success_atstring (date-time) | nulllast_errorstring | nullcreated_byinteger | nullcreated_by_namestring | nullcreated_atstring (date-time)필수updated_atstring (date-time)필수
사용처
- GET
/v1/webhooks/{webhook_id}웹훅 조회 - PATCH
/v1/webhooks/{webhook_id}웹훅 수정 - POST
/v1/webhooks/{webhook_id}/revoke-previous-secret이전 시크릿 폐기 - POST
/v1/webhooks/{webhook_id}/resume웹훅 재개